Package org.apache.catalina.tribes.membership

## Class MembershipProviderBase

- java.lang.Object
- - org.apache.catalina.tribes.membership.MembershipProviderBase

All Implemented Interfaces:
  `MembershipProvider`

Direct Known Subclasses:
  `CloudMembershipProvider`, `McastServiceImpl`, `StaticMembershipProvider`

    public abstract class MembershipProviderBase
    extends java.lang.Object
    implements MembershipProvider

### Field Summary

Fields
`protected java.util.concurrent.ScheduledExecutorService` `executor`
`protected Membership` `membership`
`protected MembershipListener` `membershipListener`
`protected MembershipService` `service`

### Constructor Summary

Constructors
`MembershipProviderBase()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Member` `getMember​(Member mbr)`
`Member[]` `getMembers()`
`boolean` `hasMembers()`
`void` `init​(java.util.Properties properties)`
`void` `setMembershipListener​(MembershipListener listener)`
`void` `setMembershipService​(MembershipService service)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.catalina.tribes.MembershipProvider

`start, stop`

### Field Detail

#### membership

    protected Membership membership

#### membershipListener

    protected MembershipListener membershipListener

#### service

    protected MembershipService service

#### executor

    protected java.util.concurrent.ScheduledExecutorService executor

### Constructor Detail

#### MembershipProviderBase

    public MembershipProviderBase()

### Method Detail

#### init

    public void init​(java.util.Properties properties)
              throws java.lang.Exception

Specified by:
  `init` in interface `MembershipProvider`
Throws:
  `java.lang.Exception`

#### hasMembers

    public boolean hasMembers()

Specified by:
  `hasMembers` in interface `MembershipProvider`

#### getMember

    public Member getMember​(Member mbr)

Specified by:
  `getMember` in interface `MembershipProvider`

#### getMembers

    public Member[] getMembers()

Specified by:
  `getMembers` in interface `MembershipProvider`

#### setMembershipListener

    public void setMembershipListener​(MembershipListener listener)

Specified by:
  `setMembershipListener` in interface `MembershipProvider`

#### setMembershipService

    public void setMembershipService​(MembershipService service)

Specified by:
  `setMembershipService` in interface `MembershipProvider`